#
# spec file for package python-mkdocs-material-extensions
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%{?sle15_python_module_pythons}
Name:           python-mkdocs-material-extensions%{psuffix}
Version:        1.3.1
Release:        2.2
Summary:        Extension pack for Python Markdown
License:        MIT
URL:            https://github.com/facelessuser/mkdocs-material-extensions
Source:         https://files.pythonhosted.org/packages/source/m/mkdocs_material_extensions/mkdocs_material_extensions-%{version}.tar.gz
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module hatch}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with test}
# SECTION test requirements
BuildRequires:  %{python_module Markdown}
BuildRequires:  %{python_module beautifulsoup4}
BuildRequires:  %{python_module mkdocs-material}
BuildRequires:  %{python_module pytest}
# /SECTION
%endif
%python_subpackages

%description
Extension pack for Python Markdown

%prep
%autosetup -p1 -n mkdocs_material_extensions-%{version}

%build
%pyproject_wheel

%install
%if %{without test}
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%check
%if %{with test}
# skip TestEmoji.test_twemoji that needs internet access
%pytest -k 'not test_twemoji'
%endif

%if %{without test}
%files %{python_files}
%doc README.md changelog.md
%license LICENSE.md
%{python_sitelib}/materialx
%{python_sitelib}/mkdocs_material_extensions-%{version}.dist-info
%endif

%changelog
* Thu Mar 21 2024 Matej Cepl <mcepl@cepl.eu>
- Clean up the SPEC file
* Thu Nov 23 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 1.3.1:
  * **FIX**: Better deprecation warning.
* Mon Nov  6 2023 Johannes Kastl <kastl@b1-systems.de>
- add BuildRequires for hatchling
* Thu Oct 19 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 1.3:
  NEW: The final release. mkdocs-material (version 9.4) now has
  this library's logic built-in making this library obsolete. Users
  should migrate to using mkdocs-material's
  material.extensions.emoji.twemoji and
  material.extensions.emoji.to_svg in place of the respective
  materialx.emoji.twemoji and materialx.emoji.to_svg functions.
* Thu Sep 21 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 1.2:
  * NEW Add official support for Python 3.11 and 3.12.
  * NEW Remove support for Python 3.7.
  * FIX Update to support latest Material.
* Fri May  5 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Tue Mar 28 2023 Matej Cepl <mcepl@suse.com>
- Split building and testing build
* Sat Mar 18 2023 Johannes Kastl <kastl@b1-systems.de>
- new package python-mkdocs-material-extensions
